<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Http\Controllers\Swagger\Responses\Rhawn\Properties;

use Illuminate\Http\JsonResponse;
use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="订单项内容",
 *     description="订单项内容"
 * )
 *
 * @package App\Http\Responses
 */
class OrdersProperty
{
    /**
     * @Property(
     *     type="integer",
     *     description="soId"
     * )
     *
     * @var string
     */
    public $soId;

    /**
     * @Property(
     *     type="string",
     *     description="订单编号"
     * )
     *
     * @var string
     */
    public $soNo;


    /**
     * @Property(
     *     type="number",
     *     description="订单金额"
     * )
     *
     * @var string
     */
    public $soTotal;

    /**
     * @Property(
     *     type="integer",
     *     description="订单审核状态"
     * )
     *
     * @var string
     */
    public $soReviewStatus;

    /**
     * @Property(
     *     type="integer",
     *     description="订单支付状态"
     * )
     *
     * @var string
     */
    public $soPayStatus;

    /**
     * @Property(
     *     type="integer",
     *     description="下单时间"
     * )
     *
     * @var string
     */
    public $soCtime;
}
